## leaktracer 2.4

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	ctags $(SRC) $(INCL)
 
 distrib: clean all README.html
-	(cd .. && tar cvfz  /root/drylock/LeakTracer/LeakTracer.tar.gz --exclude LeakTracer/CVS --exclude LeakTracer/old --exclude LeakTracer/test LeakTracer/)
+	(cd .. && tar cvfz  /u/erwin/drylock/LeakTracer/LeakTracer.tar.gz -X LeakTracer/.tarexcl  LeakTracer/)
 
 $(OBJ_DIR)/%.o: %.cc
 	$(CC) -fPIC -c $(C_FLAGS) $< -o $@
@@ -38,7 +38,7 @@
 	$(CC) $(O_FLAGS) -shared -o $@ $<
 
 README.html: README
-	/root/ed/mcl/util/htmlize.pl README
+	/u/erwin/ed/mcl/util/htmlize.pl README
 
 test:
 	$(CC) $(C_FLAGS) test.cc -o test
